<template>
    <u-calendar
        :show="modelValue"
        :closeOnClickOverlay="true"
        color="#0E66FB"
        @close="close"
        @confirm="confirm"
    ></u-calendar>
</template>

<script setup lang="ts">
defineProps({
    modelValue: {
        type: Boolean,
        default: false
    }
})
const emit = defineEmits(['update:modelValue', 'confirm'])
const close = () => {
    emit('update:modelValue', false)
}
const confirm = e => {
    emit('confirm', e[0])
}
</script>
<style scoped></style>
